Install the BlueOcean plugin on jenkins
Closed, ResolvedPublic

Description

Blue Ocean is a modern user experience for jenkins ui.

See https://jenkins.io/projects/blueocean/ and https://wiki.jenkins-ci.org/display/JENKINS/Blue+Ocean+Plugin

I have it installed on a test instance at https://gerrit-jenkins.wmflabs.org/blue/ if you want to see what it looks like.

Paladox created this task.Jan 20 2017, 6:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2017, 6:19 PM

Any actual advantages apart from "it looks different" which justify additional maintenance costs?

Yup Blue Ocean is definitely worth trying and might end up being in core to form Jenkins 3 (pure speculation).

Any actual advantages apart from "it looks different" which justify additional maintenance costs?

Dosent really add extra maintenance as upstream maintains it, we just install it. Per @hashar they are going to this the default ui in jenkins one day once the ui is complete.

hashar changed the task status from Open to Stalled.Jan 23 2017, 1:44 PM
hashar triaged this task as Normal priority.
Paladox changed the task status from Stalled to Open.May 2 2017, 10:09 AM

This can now be done as we have upgraded to Jenkins 2.x

Yep. We do that for gerrit too.

Dzahn added a subscriber: Dzahn.EditedJun 7 2017, 3:41 AM

yep, checked this:

jenkins docs say: "Both the nocanon option to ProxyPass, and AllowEncodedSlashes NoDecode, are required for certain Jenkins features to work."

Apache docs say: "Normally, mod_proxy will canonicalise ProxyPassed URLs. But this may be incompatible with some backends, particularly those that make use of PATH_INFO. The optional nocanon keyword suppresses this and passes the URL path "raw" to the backend. Note that this keyword may affect the security of your backend, as it removes the normal limited protection against URL-based attacks provided by the proxy."

This has now been added. I merged Paladox' change (https://gerrit.wikimedia.org/r/#/c/351391/ ) and graceful'ed Apache on contint1001/2001.

SAL: 21:41 mutante: contint1001 - graceful'ed Apache to deploy gerrit:351391

bump, @hashar i think we can do this now :), we are running the latest jenkins 2.x update + this is a plugin and won't break / url (since the new ui is on /blue/ :)

Paladox renamed this task from Install the blue ocean plugin alongside jenkins 2.x upgrade to Install the BlueOcean plugin on jenkins.Mar 11 2018, 2:53 PM
Paladox updated the task description. (Show Details)

It has a LOT of dependencies:

Design Language
Blue Ocean Core JS
GitHub API
GitHub
GitHub Branch Source
Common API for Blue Ocean
REST API for Blue Ocean
Pub-Sub "light" Bus
Pipeline SCM API for Blue Ocean
HTML Publisher
Variant
Web for Blue Ocean
JWT for Blue Ocean
Favorite
REST Implementation for Blue Ocean
Pipeline implementation for Blue Ocean
GitHub Pipeline for Blue Ocean
Git Pipeline for Blue Ocean
Config API for Blue Ocean
Mercurial
Handy Uri Templates 2.x API
Bitbucket Branch Source
Bitbucket Pipeline for Blue Ocean
Dashboard for Blue Ocean
Personalization for Blue Ocean
JIRA
JIRA Integration for Blue Ocean
Display URL for Blue Ocean
Server Sent Events (SSE) Gateway
Events API for Blue Ocean
Blue Ocean Pipeline Editor
i18n for Blue Ocean
Autofavorite for Blue Ocean
Blue Ocean

It is now available from https://integration.wikimedia.org/ci/blue/ There are surely a few things we want to tweak here and there. Potentially we could then make Zuul to point the console logs to that new skin?

Mentioned in SAL (#wikimedia-releng) [2018-03-12T12:33:05Z] <hashar> Jenkins: installed Blue Ocean plugin. Eg: https://integration.wikimedia.org/ci/blue/ | T155840

hashar closed this task as Resolved.Mar 15 2018, 4:15 PM
hashar claimed this task.
hashar added a subscriber: thcipriani.

Installed and at least @thcipriani likes that BlueOcean skin :]

Dzahn awarded a token.Mar 15 2018, 7:42 PM